import 'dart:async';

import 'package:flutter/services.dart';

import 'dyna_platform_interface.dart';

const MethodChannel _channel = MethodChannel('plugins.sonicwaste.io/dyna');

/// An implementation of [DynaPlatform] that uses method channels.
class MethodChannelDynaPlatform extends DynaPlatform {
  @override
  Future<List<int>?> getColors() {
    return _channel.invokeMethod<List<int>?>('getColors');
  }
}
